$(".date-picker").datepicker($.datepicker.regional["es"]);
    $(".date-picker").datepicker({
        dateFormat: "dd/mm/yyyy",
        changeMonth: true,
    });
    $("#fecha_inicial").datepicker("option", "minDate", fecha_inicial);
    $("#fecha_inicial").datepicker("option", "maxDate", limit);
    $("#fecha_final").datepicker("option", "minDate", fecha_inicial);
    $("#fecha_final").datepicker("option", "maxDate", limit);

    var today = new Date();

    var fecha_inicial = new Date(<?= isset($fecha_inicial) ? $fecha_inicial->format("Y, m-1, d") : date("Y, m-1, d", strtotime($periodo['inicio'])) ?>);
    var fecha_final = new Date(<?= isset($fecha_final) ? $fecha_final->format("Y, m-1, d") : date("Y, m-1, d", strtotime($periodo['fin'])) ?>);
    var limit = new Date(Math.min(today, fecha_final));
    // if today is in the period, set the initial date to today
    $("#fecha_inicial").datepicker("setDate", fecha_inicial);
    $("#fecha_final").datepicker("setDate", today <= fecha_final ? today : fecha_final);

    function reset_form() {
        $("#fecha_inicial").datepicker("setDate", fecha_inicial);
        $("#fecha_final").datepicker("setDate", today <= fecha_final ? today : fecha_final);
        $("#dlcarrera").find("li").removeClass("selected");
        $("#dlcarrera").find("li[data-value='0']").addClass("selected");
        $("#dlmateria").find("li").removeClass("selected");
        $("#dlmateria").find("li[data-value='0']").addClass("selected");
        $("#filter_carrera").val("");
        $("#filter_materia").val("");


        console.log(`Todos los campos han sido limpiados.`);
    }

    <?php if (empty($carrera)) { ?>
        disableDatalist("#filter_materia", true);
    <?php } ?>



    reset_form();

    // $("#fecha_inicial").on("change", function() {
    //     var fecha_inicial = $("#fecha_inicial").datepicker("getDate");
    //     var fecha_final = $("#fecha_final").datepicker("getDate");
    //     if (fecha_final < fecha_inicial) {
    //         $("#fecha_final").datepicker("setDate", fecha_inicial);
    //     }
    //     $("#fecha_final").datepicker("option", "minDate", fecha_inicial);
    // });

    // $("#fecha_final").on("change", function() {
    //     var fecha_inicial = $("#fecha_inicial").datepicker("getDate");
    //     var fecha_final = $("#fecha_final").datepicker("getDate");
    //     if (fecha_final < fecha_inicial) {
    //         $("#fecha_inicial").datepicker("setDate", fecha_final);
    //     }
    //     $("#fecha_inicial").datepicker("option", "maxDate", fecha_final);
    // });
    // Datalist carrera then select materia
    $(document).on('click', '#dlcarrera li', function() {
        // if this is empty
        // console.log($(this).attr('data-value'));
        if ($(this).attr('data-value') == '0')
            disableDatalist("#filter_materia", true);
    });